Package be.vlaanderen.mercurius.mohm.common.v7

# Enum Class DeliveryStatusType

java.lang.Object
java.lang.Enum<DeliveryStatusType>
be.vlaanderen.mercurius.mohm.common.v7.DeliveryStatusType

All Implemented Interfaces:
  `Serializable`, `Comparable<DeliveryStatusType>`, `java.lang.constant.Constable`

public enum DeliveryStatusType extends Enum<DeliveryStatusType>
Generiek type voor de status van een aflevering.

Java class for DeliveryStatusType

.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="DeliveryStatusType">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="Received"/>
         <enumeration value="In_error"/>
         <enumeration value="Under_consideration"/>
         <enumeration value="Accepted"/>
         <enumeration value="Refused"/>
         <enumeration value="Canceled"/>
       </restriction>
     </simpleType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ACCEPTED`
  De aflevering is aanvaard.
  `CANCELED`
  De aflevering is geannuleerd
  `IN_ERROR`
  De aflevering is in fout gegaan en zal niet verder verwerkt worden.
  `RECEIVED`
  De aflevering is succesvol ontvangen.
  `REFUSED`
  De aflevering is geweigerd.
  `UNDER_CONSIDERATION`
  De aflevering is in beraad.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static DeliveryStatusType`
  `fromValue(String v)`
  Gets the enum associated to the value passed as parameter.
  `String`
  `value()`
  Gets the value associated to the enum constant.
  `static DeliveryStatusType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static DeliveryStatusType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### RECEIVED

    public static final DeliveryStatusType RECEIVED
    De aflevering is succesvol ontvangen.

  - ### IN_ERROR

    public static final DeliveryStatusType IN_ERROR
    De aflevering is in fout gegaan en zal niet verder verwerkt worden.

  - ### UNDER_CONSIDERATION

    public static final DeliveryStatusType UNDER_CONSIDERATION
    De aflevering is in beraad.

  - ### ACCEPTED

    public static final DeliveryStatusType ACCEPTED
    De aflevering is aanvaard.

  - ### REFUSED

    public static final DeliveryStatusType REFUSED
    De aflevering is geweigerd.

  - ### CANCELED

    public static final DeliveryStatusType CANCELED
    De aflevering is geannuleerd

- ## Method Details

  - ### values

    public static DeliveryStatusType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static DeliveryStatusType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public String value()
    Gets the value associated to the enum constant.
    Returns:
      The value linked to the enum.

  - ### fromValue

    public static DeliveryStatusType fromValue(String v)
    Gets the enum associated to the value passed as parameter.
    Parameters:
      `v` - The value to get the enum from.
    Returns:
      The enum which corresponds to the value, if it exists.
    Throws:
      `IllegalArgumentException` - If no value matches in the enum declaration.